# log4cplus::helpers::SharedObject Class Reference

`#include <pointer.h>`

Inheritance diagram for log4cplus::helpers::SharedObject:

[legend]
List of all members.

## Public Member Functions

void | addReference ()
void | removeReference ()

## Public Attributes

LOG4CPLUS_MUTEX_PTR_DECLARE | access_mutex

## Protected Member Functions

| SharedObject ()
| SharedObject (const SharedObject &)
virtual | ~SharedObject ()
SharedObject & | operator= (const SharedObject &)

## Constructor & Destructor Documentation

log4cplus::helpers::SharedObject::SharedObject | ( |  | ) | `[inline, protected]`

| Definition at line 95 of file pointer.h.

log4cplus::helpers::SharedObject::SharedObject | ( | const SharedObject & |  | ) | `[inline, protected]`

| Definition at line 97 of file pointer.h.

virtual log4cplus::helpers::SharedObject::~SharedObject | ( |  | ) | `[protected, virtual]`

## Member Function Documentation

void log4cplus::helpers::SharedObject::addReference | ( |  | ) |

SharedObject& log4cplus::helpers::SharedObject::operator= | ( | const SharedObject & |  | ) | `[inline, protected]`

| Definition at line 104 of file pointer.h.

void log4cplus::helpers::SharedObject::removeReference | ( |  | ) |

## Member Data Documentation

LOG4CPLUS_MUTEX_PTR_DECLARE log4cplus::helpers::SharedObject::access_mutex

| Definition at line 107 of file pointer.h.

The documentation for this class was generated from the following file:

- pointer.h